Name:           po-debconf
Version:        1.0.21
Release:        %mkrel 4
Summary:        Tool for managing templates file translations with gettext

Group:          System/Packaging
License:        GPLv2+
URL:            https://packages.debian.org/sid/po-debconf
Source0:        https://ftp.debian.org/debian/pool/main/p/%{name}/%{name}_%{version}.tar.xz
Patch1:         po-debconf-1.0.16-no-utf8-to-pod2man.patch

BuildArch:      noarch

BuildRequires:  po4a
BuildRequires:  dpkg-dev
BuildRequires:  perl(Dpkg)
Requires:       perl
Requires:       intltool
Requires:       gettext
Requires:       html2text

%description
This package is an alternative to debconf-utils, and provides
tools for managing translated debconf templates files with
common gettext utilities.

%prep
%setup -q
%autopatch -p1

%build
%__make

%install
mkdir -p \
        %{buildroot}/%{_bindir} \
        %{buildroot}/%{_datadir}/%{name}/

for prog in debconf-gettextize debconf-updatepo po2debconf podebconf-display-po podebconf-report-po; do
    install -m 755 $prog %{buildroot}/%{_bindir}
done

# I don't know what to do with these
rm -rf doc/vi

for lang_man in `find doc/ -name "*.1" -exec dirname {} \; | sort -u`; do
    mkdir -p %{buildroot}/%{_mandir}/man1/
    mkdir -p %{buildroot}/%{_mandir}/$(basename $lang_man | sed -e 's/en//g')/man1
    install -m 644 $lang_man/*.1 %{buildroot}/%{_mandir}/$(basename $lang_man | sed -e 's/en//g')/man1
done

install -m 644 encodings %{buildroot}/%{_datadir}/%{name}
install -m 755 pot-header %{buildroot}/%{_datadir}/%{name}/
cp -a podebconf-report-po_templates/ %{buildroot}/%{_datadir}/%{name}/templates

%files
%doc COPYING README README-trans
%{_mandir}/man1/*.1.*
%lang(de) %{_mandir}/de/man1/*.1.*
%lang(es) %{_mandir}/es/man1/*.1.*
%lang(fr) %{_mandir}/fr/man1/*.1.*
%lang(pt) %{_mandir}/pt/man1/*.1.*
%lang(ru) %{_mandir}/ru/man1/*.1.*
%{_bindir}/debconf-gettextize
%{_bindir}/debconf-updatepo
%{_bindir}/po2debconf
%{_bindir}/podebconf-display-po
%{_bindir}/podebconf-report-po
%{_datadir}/%{name}


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 1.0.21-4.mga9
+ Revision: 1834671
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 martinw <martinw> 1.0.21-3.mga8
+ Revision: 1620337
- fix BR for changes to dpkg packaging

* Fri Feb 14 2020 umeabot <umeabot> 1.0.21-2.mga8
+ Revision: 1520571
- Mageia 8 Mass Rebuild

* Sat Dec 01 2018 daviddavid <daviddavid> 1.0.21-1.mga7
+ Revision: 1337013
- new version: 1.0.21

* Thu Sep 20 2018 umeabot <umeabot> 1.0.20-2.mga7
+ Revision: 1287931
- Mageia 7 Mass Rebuild

* Sat Jan 06 2018 daviddavid <daviddavid> 1.0.20-1.mga7
+ Revision: 1190667
- new version: 1.0.20

* Mon Feb 08 2016 umeabot <umeabot> 1.0.16-7.mga6
+ Revision: 945967
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.16-6.mga5
+ Revision: 744994
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.16-4.mga4
+ Revision: 521424
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.0.16-3.mga3
+ Revision: 390797
- update file list
- update file list
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 1.0.16-2.mga3
+ Revision: 377984
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 25 2012 shlomif <shlomif> 1.0.16-1.mga3
+ Revision: 283823
- imported package po-debconf


* Tue May 11 2010 Jeroen van Meeuwen <vanmeeuwen@kolabsys.com> - 1.0.16-3
- Add requirement for html2text
- Add build requirement for debhelper
- First package
